import sys
import os
sys.path.append(os.path.join(os.path.dirname(__file__), '..', '..'))
import core.logger as logger
from core.plugin import ReleaseFlowPlugin, ReleaseFlowPluginDecorator
log = logger.get_logger()

@ReleaseFlowPluginDecorator
class BaseLine(ReleaseFlowPlugin):
    def get_description(self) -> str:
        return """
               Baseline plugin
               只做最基本的PureLinux IPC release的事情
               """

    def get_version(self) -> str:
        return "1.0.0"